package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantChannelRefundCompleteRequest struct {
	/*
	   请求对象     */
	RefundCompleteInfo *domain.AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo `json:"refund_complete_info" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantChannelRefundCompleteRequest) SetRefundCompleteInfo(v domain.AlibabaTclsAelophyMerchantChannelRefundCompleteRefundCompleteInfo) *AlibabaTclsAelophyMerchantChannelRefundCompleteRequest {
	s.RefundCompleteInfo = &v
	return s
}

func (req *AlibabaTclsAelophyMerchantChannelRefundCompleteRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.RefundCompleteInfo != nil {
		paramMap["refund_complete_info"] = util.ConvertStruct(*req.RefundCompleteInfo)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyMerchantChannelRefundCompleteRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
